> For the complete documentation index, see [llms.txt](https://docs.raga.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.raga.ai/ragaai-catalyst/ragaai-metric-library/additional-metrics/evaluation/consistency.md).

# Consistency

**Objective**: The test is intended to check the consistency of the model i.e if the model can generate similar answers on multiple runs w\.r.t  the prompt and response provided&#x20;

**Required Parameters**: Prompt, Response&#x20;

* By default, 5 responses are generated

**Interpretation**: A higher score signifies model is more consistent in its response to the given prompt.

```python
# Consistency Test
prompt = "Who is Issac Newton?"
consistent_response = "Sir Isaac Newton FRS was an English polymath active as a mathematician, physicist, astronomer, alchemist, theologian, and author who was described in his time as a natural philosopher"
inconsistent_response = "Issac Newton was an English poet of the second generation of Romantic poets, along with Lord Byron and Percy Bysshe Shelly."

evaluator.add_test(
    test_names=["consistency_test"],
    data={"prompt": prompt, "response": consistent_response},
    arguments={"threshold": 0.5},
).add_test(
    test_names=["consistency_test"],
    data={"prompt": prompt, "response": inconsistent_response},
    arguments={"threshold": 0.5},
).run()

evaluator.print_results()
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.raga.ai/ragaai-catalyst/ragaai-metric-library/additional-metrics/evaluation/consistency.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
